Bug 1420868 - Content view publishing puppet modules to wrong directory
Summary: Content view publishing puppet modules to wrong directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 16:55 UTC by Justin Sherrill
Modified: 2019-08-12 14:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:40:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17617 0 None None None 2017-02-09 16:55:39 UTC

Description Justin Sherrill 2017-02-09 16:55:37 UTC
I installed a system with Katello 3.2 and puppet 3.8.  Shortly afterwords, I ran the foreman-installer -S katello --upgrade-puppet and expected everything to just work.  When I published a content view with puppet modules in it, it is still deploying the puppet modules to /etc/puppet/environments instead of the new directory /etc/puppetlabs/code/environments

Comment 1 Justin Sherrill 2017-02-09 16:55:41 UTC
Created from redmine issue http://projects.theforeman.org/issues/17617

Comment 2 Justin Sherrill 2017-02-09 16:55:44 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 3 Justin Sherrill 2017-02-09 16:56:48 UTC
two upstream users have hit this, seems like a real and serious problem

Comment 5 pm-sat@redhat.com 2017-02-15 21:17:45 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 6 pm-sat@redhat.com 2017-02-15 21:17:48 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 7 pm-sat@redhat.com 2017-03-07 13:17:25 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17617 has been resolved.

Comment 8 Ondřej Pražák 2017-08-30 09:04:44 UTC
Verification steps:

1) satellite-installer -S satellite
2) publish a content view with puppet modules, it will be in /etc/puppet/environments 
3) satellite-installer -S satellite --upgrade-puppet
4) publish content view with puppet modules, it will be in /etc/puppetlabs/code/environments

Verified.

6.3.0 snap 13

Comment 9 Bryan Kearney 2018-02-21 16:39:00 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 10 Bryan Kearney 2018-02-21 16:40:25 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 11 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.